## org.apache.commons.math3
Interface Field<T>

Type Parameters:
  `T` - the type of the field elements

All Known Implementing Classes:
  BigFractionField, BigRealField, ComplexField, Decimal64Field, DfpField, FractionField

    public interface Field<T>

Interface representing a field.

Classes implementing this interface will often be singletons.

Since:
  2.0
Version:
  $Id: Field.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `FieldElement`

Method Summary
`T` `getOne()` Get the multiplicative identity of the field.
`Class<? extends FieldElement<T>>` `getRuntimeClass()` Returns the runtime class of the FieldElement.
`T` `getZero()` Get the additive identity of the field.

Method Detail

### getZero

    T getZero()

  Get the additive identity of the field.

  The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

  Returns:
    additive identity of the field

### getOne

    T getOne()

  Get the multiplicative identity of the field.

  The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

  Returns:
    multiplicative identity of the field

### getRuntimeClass

    Class<? extends FieldElement<T>> getRuntimeClass()

  Returns the runtime class of the FieldElement.

  Returns:
    The `Class` object that represents the runtime class of this object.

Copyright (c) 2003-2013 Apache Software Foundation